Bug 72163 - RFE: Adjust required space calculation to take into account fs block size
RFE: Adjust required space calculation to take into account fs block size
Status: CLOSED DEFERRED
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
null
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-21 13:05 EDT by John Reiser
Modified: 2007-03-26 23:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-22 12:30:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2002-08-21 13:05:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
Package Install claims 2007MB installed, but 'df' after boot shows only
1733424KB used, which is a difference of about 274MB; the difference should be
almost zero.  Even adding the reserved space of (2522076 total - 1733424 used -
660536 avail) = 182116KB reserved, still leaves about 92MB of missing disk space.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install "(null)" beta from another partition (floppy boot "linux askmethod"
then choose "hard drive".)
2. Choose Installation Type = Workstation; install to a single partition (only
root and swap).
3. Note the Total space during Package Install: 2007MB in 677 packages.
4. After first boot configuration, login and do "df".
	

Actual Results:
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/hda3              2522076   1733328    660632  73% /


Expected Results:
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/hda3              2522076   2007000    386960  84% /

Note the difference in Used, Available, and Use%.

Additional info:
Comment 1 John Reiser 2002-08-22 10:54:06 EDT
Arrggghhhh!  Probably this is just the difference in fragmentation between 4KB
blocks and 2KB blocks.

So, change to an enhancement request:  adjust the Total and Completed sizes as
you go, using stat.st_blocks on each installed file.  Thus the Total size will
slowly decrease when installing to a filesystem with blocks smaller than 4KB.
Comment 2 Michael Fulbright 2002-08-22 12:30:15 EDT
Deferring to next release.

Note You need to log in before you can comment on or make changes to this bug.